Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class DragAdapter

    java.lang.Object
      |
      +--quicktime.app.event.DragAdapter

All Implemented Interfaces:
  java.util.EventListener, MouseButtonListener, MouseMoveListener, QTMouseListener

Direct Known Subclasses:
  DragAction

public class DragAdapter
extends java.lang.Object
implements MouseMoveListener, MouseButtonListener

A convenience adapter class for dealing with Drag events.

Constructor Summary
`DragAdapter()`

Method Summary
`boolean` | `matchModifierFilter(int mods)` An event is only passed on to interested listeners if those listeners return true to this filter call.
`void` | `mouseClicked(QTMouseEvent e)` Invoked when the mouse has been clicked in a space.
`void` | `mouseDragged(QTMouseEvent e)` Invoked when a mouse button is pressed in a space and then dragged.
`void` | `mouseMoved(QTMouseEvent e)` Invoked when the mouse button has been moved in a space (with no buttons no down).
`void` | `mousePressed(QTMouseEvent e)` Invoked when the mouse has been pressed in a space.
`void` | `mouseReleased(QTMouseEvent e)` Invoked when a mouse button has been released where the press occured within the space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DragAdapter

    public DragAdapter()

Method Detail

### mouseClicked

    public void mouseClicked(QTMouseEvent e)

  Invoked when the mouse has been clicked in a space.
  Specified by:
    `mouseClicked` in interface `MouseButtonListener`

### mousePressed

    public void mousePressed(QTMouseEvent e)

  Invoked when the mouse has been pressed in a space.
  Specified by:
    `mousePressed` in interface `MouseButtonListener`

### mouseReleased

    public void mouseReleased(QTMouseEvent e)

  Invoked when a mouse button has been released where the press occured within the space.
  Specified by:
    `mouseReleased` in interface `MouseButtonListener`

### mouseDragged

    public void mouseDragged(QTMouseEvent e)

  Invoked when a mouse button is pressed in a space and then dragged. Mouse drag events will continue to be delivered to the space where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the space).
  Specified by:
    `mouseDragged` in interface `MouseMoveListener`

### mouseMoved

    public void mouseMoved(QTMouseEvent e)

  Invoked when the mouse button has been moved in a space (with no buttons no down).
  Specified by:
    `mouseMoved` in interface `MouseMoveListener`

### matchModifierFilter

    public boolean matchModifierFilter(int mods)

  An event is only passed on to interested listeners if those listeners return true to this filter call. By default this method returns true.
  Specified by:
    `matchModifierFilter` in interface `QTMouseListener`
  Following copied from interface: `quicktime.app.event.QTMouseListener`
  Parameters:
    `mods` - the state of the modifier keys.
  Returns:
    true if a particular listener is interested in receiving the mouse event(s) it is interested in with the given modifier state, or false if otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD